%%%-----------------------------------
%%% @Author		: gaomeng 595088880@qq.com
%%% @Created	: 2017/10/17
%%% @Doc		: 系统数据库保存相关信息
%%%-----------------------------------
-module(lib_sys).
-include("common.hrl").
-export([
   get_var/1
]).

%% @doc 获取对应数据库字段配置
get_var(TarName) when is_list(TarName) ->
   Sql = io_lib:format(<<"SELECT `value` FROM `sys_var` WHERE `name` = '~s' limit 1;">>, [TarName]),
   case db:get_one(Sql) of
      [] ->
         util:term_to_bitstring([]);
      <<>> ->
         util:term_to_bitstring([]);
      Ret ->
         Ret
   end;
get_var(Obj) ->
   get_var(util:to_list(Obj)).